Subject: Re: [v6 09/15] sparc64: optimized struct page zeroing

From: Pasha Tatashin <[email-masked]>
Date: Fri, 11 Aug 2017 12:04:51 -0400

>> Add an optimized mm_zero_struct_page(), so struct page's are zeroed without
>> calling memset(). We do eight to tent regular stores based on the size of
>> struct page. Compiler optimizes out the conditions of switch() statement.
> 
> Again, this doesn't explain why we need this. You have mentioned those
> reasons in some previous emails but be explicit here please.
> 

I will add performance data to this patch as well.

Thank you,
Pasha